Jump to content
Frankie M

[Opgelost] Postcode In Correct Formaat

Recommended Posts

Hallo,

 

Als een klant zich inschrijft, dan is deze verplicht een postcode in te voeren (formaat NNNN LL).

Nu werken bepaalde modules goed als je b.v. 1000 AA invult, maar niet als je 1000AA invult, terwijl het wel mogelijk is 1000AA in te voeren. Er volgt dan geen foutmelding.

 

Hoe kan ik ervoor zorgen dat de postcode alleen als 1000 AA ingevuld kan worden?

 

Met vr.gr.,

 

Frank

Share this post


Link to post
Share on other sites

Als je dat zou willen nakijken, heel graag! Wij gebruiken nu Shipping cost by postcode (in een testomgeving) en daar kan je bezorg postcodes opgeven, maar dan via het formaat NNNN LL. Werkt feilloos, maar ziet postcodes alleen ingevoerd als NNNN LL en NNNNLL ziet deze niet. Nu alle bestanden in het thema opgefrist met maxlength="6" bij de postcode invoer.

 

 

 

door een nieuwe haak te maken in de AddressController

 

Dat zegt mij niet zo veel. Ben geen programmeur. Dus als je wat uitleg erbij zou willen geven, dan ben ik je bijzonder dankbaar.

 

Met vr.gr.,

 

Frank

Share this post


Link to post
Share on other sites

Beste mdekker,

 

Als ik deze module probeer te installeren, dan krijg ik deze foutmelding:

 

[PrestaShop] Fatal error in module file :/home/partners/domains/partnersincrime.nl/public_html/prestashop/classes/module/Module.php(2870) : eval()'d code:
Can't use function return value in write context

 

Met vriendelijke groet,

 

Frank

Share this post


Link to post
Share on other sites

Kan het met mijn PHP versie te maken hebben?

 

Optionele parameters Repareer aub de volgende fout(en)

  • U maakt gebruik van PHP versie 5.3.29. Binnenkort zal PHP 5.4 de nieuwste PHP versie ondersteund zijn door PrestaShop. Om ervoor te zorgen dat je klaar bent voor de toekomst, raden wij u aan nu upgraden naar PHP 5.4!

Share this post


Link to post
Share on other sites

Vreemd, zojuist gekeken met phpinfo en pcre staat standaard aan!

Foutmelding wijst ook naar module.php.

En Prestashop zou compatible moeten zijn met php 5.3

Share this post


Link to post
Share on other sites

Ik voeg de module toe en wil dan installeren. Krijg een waarschuwing dat het geen officiële module is en daarna krijg ik dit scherm (in debug mode):

 

Fatal error: Can't use function return value in write context in /home/partners/domains/partnersincrime.nl/public_html/prestashop/classes/module/Module.php(2870) : eval()'d code on line 91 [PrestaShop] Fatal error in module file :/home/partners/domains/partnersincrime.nl/public_html/prestashop/classes/module/Module.php(2870) : eval()'d code:
Can't use function return value in write context

Share this post


Link to post
Share on other sites

Dat gaat me inderdaad wat te ver. Mag ik je zaterdag dan een FTP login sturen en backoffice login?

Alvast enorm bedankt!

Share this post


Link to post
Share on other sites

Al overlegd met de provider, maar die durft dat niet 1,2,3.

Op dezelfde server draait nu de oude site onder osCommerce 2.3.1 en ik weet niet of die met een hogere PHP versie overweg kan.

Share this post


Link to post
Share on other sites

Ik zou graag alles werkend willen hebben, voordat ik de site live zet.

Mag ik je evengoed zaterdag die gegevens even sturen, zodat je ernaar kan kijken?

Dat zou ik erg op prijs stellen. En dan kunnen we dat op dit forum weer delen met anderen.

Share this post


Link to post
Share on other sites

En ik wil mdekker graag publiekelijk bedanken voor zijn hulp! Hij heeft ons belangeloos geholpen en dat zie je niet meer zo vaak!

 

Met vr.gr.,

 

Frank

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More